package dev.ninjdai.werewolf.uhc.teams;

import dev.ninjdai.werewolf.uhc.roles.Role;
import net.minestom.server.color.Color;

import java.util.HashMap;
import java.util.Map;

public enum Teams {
    WEREWOLVES(new Team.Builder().setId("werewolves").setName("Werewolves").setColor(new Color(150,10,10)).build()),
    VILLAGERS(new Team.Builder().setId("villagers").setName("Villagers").setColor(new Color(48,216,90)).build()),
    COUPLE(new Team.Builder().setId("couple").setName("Couple").setColor(new Color(195,61,148)).build());

    public final Team team;
    Teams(Team team) {
        this.team = team;
    }

    public Team get() {
        return this.team;
    }
}
